OGRE-Next: Ogre::SkeletonAnimationDef Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::SkeletonAnimationDef Class Reference

`#include <OgreSkeletonAnimationDef.h>`

Inheritance diagram for Ogre::SkeletonAnimationDef:
[legend]

## Public Member Functions
| SkeletonAnimationDef ()
| ~SkeletonAnimationDef ()
void | _dumpCsvTracks (String &outText) const
| Dumps all the tracks in CSV format to the output string argument.
void | _setSkeletonDef (const SkeletonDef *skeletonDef)
void | build (const v1::Skeleton *skeleton, const v1::Animation *animation, Real frameRate)
const String & | getNameStr () const
Real | getNumFrames () const
Real | getOriginalFrameRate () const
void | setName (const String &name)

## Constructor & Destructor Documentation

## ◆ SkeletonAnimationDef()

Ogre::SkeletonAnimationDef::SkeletonAnimationDef | ( |  | ) |

## ◆ ~SkeletonAnimationDef()

Ogre::SkeletonAnimationDef::~SkeletonAnimationDef | ( |  | ) |

## Member Function Documentation

## ◆ _dumpCsvTracks()

void Ogre::SkeletonAnimationDef::_dumpCsvTracks | ( | String & | outText | ) | const

Dumps all the tracks in CSV format to the output string argument.

Mostly for debugging purposes. (also easy example to show how to enumerate all the tracks and get the bones back from its block index)

## ◆ _setSkeletonDef()

void Ogre::SkeletonAnimationDef::_setSkeletonDef | ( | const SkeletonDef * | skeletonDef | ) |
| inline

## ◆ build()

void Ogre::SkeletonAnimationDef::build | ( | const v1::Skeleton * | skeleton,
|  | const v1::Animation * | animation,
|  | Real | frameRate )

## ◆ getNameStr()

const String & Ogre::SkeletonAnimationDef::getNameStr | ( |  | ) | const
| inline

## ◆ getNumFrames()

Real Ogre::SkeletonAnimationDef::getNumFrames | ( |  | ) | const
| inline

## ◆ getOriginalFrameRate()

Real Ogre::SkeletonAnimationDef::getOriginalFrameRate | ( |  | ) | const
| inline

## ◆ setName()

void Ogre::SkeletonAnimationDef::setName | ( | const String & | name | ) |
| inline

The documentation for this class was generated from the following file:

- OgreSkeletonAnimationDef.h